Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
agora::RefCountInterface Class Referenceabstract

`#include <AgoraRefPtr.h>`

Inherited by agora::ILocalDataChannel, agora::IRemoteDataChannel, agora::base::IAgoraParameter, agora::base::ISyncClient, agora::rtc::AINoiseSuppressorControllerExtension, agora::rtc::AINoiseSuppressorExtension, agora::rtc::AiEchoCancellationContollerExtension, agora::rtc::AiEchoCancellationExtension, agora::rtc::ContentInspectExtension, agora::rtc::IAgoraVideoQualityAnalyzer, agora::rtc::IAgoraVideoQualityAnalyzer::Control, agora::rtc::IAudioEncodedFrameSender, agora::rtc::IAudioFilterBase, agora::rtc::IAudioFilterV2::Control, agora::rtc::IAudioMixerSource, agora::rtc::IAudioPcmDataSender, agora::rtc::IAudioSinkBase, agora::rtc::IAudioTrack, agora::rtc::ICameraCapturer, agora::rtc::IConfigCenter, agora::rtc::IExtensionProvider, agora::rtc::IExtensionVideoDecoder, agora::rtc::IExtensionVideoEncoder, agora::rtc::IExtensionVideoFilter::Control, agora::rtc::IFileUploaderService, agora::rtc::IH265Transcoder, agora::rtc::ILipSyncFilter, agora::rtc::ILipSyncFilter::Control, agora::rtc::IMediaExtensionObserver, agora::rtc::IMediaNodeFactory, agora::rtc::IMediaPacketSender, agora::rtc::IMediaPlayerSource, agora::rtc::IMediaRecorder, agora::rtc::IMediaRelayService, agora::rtc::IMediaStreamingSource, agora::rtc::INGAudioDeviceManager, agora::rtc::INGVideoDeviceManager, agora::rtc::IRecordingDeviceSource, agora::rtc::IRemoteAudioMixerSource, agora::rtc::IRtcConnection, agora::rtc::IRtmpConnection, agora::rtc::IRtmpStreamingService, agora::rtc::IScreenCaptureSource, agora::rtc::IScreenCaptureSource::Control, agora::rtc::IScreenCapturer, agora::rtc::IScreenCapturer2, agora::rtc::IVideoEffectObject, agora::rtc::IVideoEncodedImageSender, agora::rtc::IVideoFilterBase, agora::rtc::IVideoFrame, agora::rtc::IVideoFrameMemoryPool, agora::rtc::IVideoFrameSender, agora::rtc::IVideoFrameTransceiver, agora::rtc::IVideoMixerSource, agora::rtc::IVideoSinkBase, agora::rtc::IVideoTrack, and agora::rtc::VideoEncodedImageData.

## Public Member Functions
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Protected Member Functions
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ ~RefCountInterface()

virtual agora::RefCountInterface::~RefCountInterface | ( |  | ) |
| inlineprotectedvirtual

## Member Function Documentation

## ◆ AddRef()

virtual void agora::RefCountInterface::AddRef | ( |  | ) | const
| pure virtual

## ◆ Release()

virtual RefCountReleaseStatus agora::RefCountInterface::Release | ( |  | ) | const
| pure virtual

## ◆ HasOneRef()

virtual bool agora::RefCountInterface::HasOneRef | ( |  | ) | const
| pure virtual